@IF "%1" == "-m" goto Mono
@IF "%1" == "-M" goto Mono

@ECHO Compiling for .NET
@SET NB_OUTPUT_FILE_NAME=Support.dll
@SET NB_PLATFORM_INPUT=
@GOTO Compile

:Mono
@ECHO Compiling for Mono
@SET NB_OUTPUT_FILE_NAME=SupportForMono.dll
@SET NB_PLATFORM_INPUT=/define:MONO

:Compile
@SET DOTNET_RUNTIME_VER=v2.0.50727
@SET DOTNET_FRAMEWORK_VER=v2.0.50727
@SET DOTNET_FRAMEWORK_PATH=C:\Windows\Microsoft.NET\Framework

"%DOTNET_FRAMEWORK_PATH%\%DOTNET_RUNTIME_VER%\csc.exe" /nologo /noconfig /errorreport:none /warn:4 /platform:anycpu /codepage:28591 /langversion:default /checked- /debug- /debug:pdbonly /optimize+ /filealign:512 /unsafe+ %NB_PLATFORM_INPUT% /out:"%NB_OUTPUT_FILE_NAME%" /define:FAST /target:library /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.Web.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\System.Windows.Forms.dll" /reference:"%DOTNET_FRAMEWORK_PATH%\%DOTNET_FRAMEWORK_VER%\Microsoft.VisualBasic.dll" /resource:"Nachtblitz-1.4.26-src\Support\sha256.boxes",sha256.boxes,private /resource:"Nachtblitz-1.4.26-src\Support\tiger.boxes",tiger.boxes,private "Nachtblitz-1.4.26-src\Support\AssemblyInfo.cs" "Nachtblitz-1.4.26-src\Support\Collections.cs" "Nachtblitz-1.4.26-src\Support\Encodings.cs" "Nachtblitz-1.4.26-src\Support\Threading.cs" "Nachtblitz-1.4.26-src\Support\LargeUInt.cs" "Nachtblitz-1.4.26-src\Support\Util.cs" "Nachtblitz-1.4.26-src\Support\Util2.cs"
